API Reference
Availablespace Segment
Check if there is space available for a specific segment to be allocated. Used when a segment is coordinated before trying to allocate it.
POST
/
v1
/
segments
/
{segment}
:segmentAvailableSpace
Availablespace Segment
curl --request POST \
--url https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queryParams": {
"targeting": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exclusivityTags": [
"<string>"
],
"exclusiveTo": [
"<string>"
]
}
}
'import requests
url = "https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace"
payload = { "queryParams": {
"targeting": {
"criteria": [{}],
"expression": {
"ref": "<string>",
"not": {},
"and": { "operands": [{}] },
"or": { "operands": [{}] }
}
},
"exclusivityTags": ["<string>"],
"exclusiveTo": ["<string>"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queryParams: {
targeting: {
criteria: [{}],
expression: {ref: '<string>', not: {}, and: {operands: [{}]}, or: {operands: [{}]}}
},
exclusivityTags: ['<string>'],
exclusiveTo: ['<string>']
}
})
};
fetch('https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queryParams' => [
'targeting' => [
'criteria' => [
[
]
],
'expression' => [
'ref' => '<string>',
'not' => [
],
'and' => [
'operands' => [
[
]
]
],
'or' => [
'operands' => [
[
]
]
]
]
],
'exclusivityTags' => [
'<string>'
],
'exclusiveTo' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace"
payload := strings.NewReader("{\n \"queryParams\": {\n \"targeting\": {\n \"criteria\": [\n {}\n ],\n \"expression\": {\n \"ref\": \"<string>\",\n \"not\": {},\n \"and\": {\n \"operands\": [\n {}\n ]\n },\n \"or\": {\n \"operands\": [\n {}\n ]\n }\n }\n },\n \"exclusivityTags\": [\n \"<string>\"\n ],\n \"exclusiveTo\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queryParams\": {\n \"targeting\": {\n \"criteria\": [\n {}\n ],\n \"expression\": {\n \"ref\": \"<string>\",\n \"not\": {},\n \"and\": {\n \"operands\": [\n {}\n ]\n },\n \"or\": {\n \"operands\": [\n {}\n ]\n }\n }\n },\n \"exclusivityTags\": [\n \"<string>\"\n ],\n \"exclusiveTo\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queryParams\": {\n \"targeting\": {\n \"criteria\": [\n {}\n ],\n \"expression\": {\n \"ref\": \"<string>\",\n \"not\": {},\n \"and\": {\n \"operands\": [\n {}\n ]\n },\n \"or\": {\n \"operands\": [\n {}\n ]\n }\n }\n },\n \"exclusivityTags\": [\n \"<string>\"\n ],\n \"exclusiveTo\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"availableSpace": {
"value": "<string>"
},
"relatedSegments": [
"<string>"
],
"reclaimableSpace": [
{}
]
}Authorizations
Response
200 - application/json
OK
Was this page helpful?
⌘I
Availablespace Segment
curl --request POST \
--url https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queryParams": {
"targeting": {
"criteria": [
{}
],
"expression": {
"ref": "<string>",
"not": {},
"and": {
"operands": [
{}
]
},
"or": {
"operands": [
{}
]
}
}
},
"exclusivityTags": [
"<string>"
],
"exclusiveTo": [
"<string>"
]
}
}
'import requests
url = "https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace"
payload = { "queryParams": {
"targeting": {
"criteria": [{}],
"expression": {
"ref": "<string>",
"not": {},
"and": { "operands": [{}] },
"or": { "operands": [{}] }
}
},
"exclusivityTags": ["<string>"],
"exclusiveTo": ["<string>"]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queryParams: {
targeting: {
criteria: [{}],
expression: {ref: '<string>', not: {}, and: {operands: [{}]}, or: {operands: [{}]}}
},
exclusivityTags: ['<string>'],
exclusiveTo: ['<string>']
}
})
};
fetch('https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'queryParams' => [
'targeting' => [
'criteria' => [
[
]
],
'expression' => [
'ref' => '<string>',
'not' => [
],
'and' => [
'operands' => [
[
]
]
],
'or' => [
'operands' => [
[
]
]
]
]
],
'exclusivityTags' => [
'<string>'
],
'exclusiveTo' => [
'<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace"
payload := strings.NewReader("{\n \"queryParams\": {\n \"targeting\": {\n \"criteria\": [\n {}\n ],\n \"expression\": {\n \"ref\": \"<string>\",\n \"not\": {},\n \"and\": {\n \"operands\": [\n {}\n ]\n },\n \"or\": {\n \"operands\": [\n {}\n ]\n }\n }\n },\n \"exclusivityTags\": [\n \"<string>\"\n ],\n \"exclusiveTo\": [\n \"<string>\"\n ]\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"queryParams\": {\n \"targeting\": {\n \"criteria\": [\n {}\n ],\n \"expression\": {\n \"ref\": \"<string>\",\n \"not\": {},\n \"and\": {\n \"operands\": [\n {}\n ]\n },\n \"or\": {\n \"operands\": [\n {}\n ]\n }\n }\n },\n \"exclusivityTags\": [\n \"<string>\"\n ],\n \"exclusiveTo\": [\n \"<string>\"\n ]\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://flags.eu.confidence.dev/v1/segments/{segment}:segmentAvailableSpace")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"queryParams\": {\n \"targeting\": {\n \"criteria\": [\n {}\n ],\n \"expression\": {\n \"ref\": \"<string>\",\n \"not\": {},\n \"and\": {\n \"operands\": [\n {}\n ]\n },\n \"or\": {\n \"operands\": [\n {}\n ]\n }\n }\n },\n \"exclusivityTags\": [\n \"<string>\"\n ],\n \"exclusiveTo\": [\n \"<string>\"\n ]\n }\n}"
response = http.request(request)
puts response.read_body{
"availableSpace": {
"value": "<string>"
},
"relatedSegments": [
"<string>"
],
"reclaimableSpace": [
{}
]
}
